#include "testlib.h"

using namespace std;

const int num_of_groups = 7;
const int MAXC = 1'000'000'000;
const int MAXN = 200'000;
const int MAXT = 100'000;

const int N[num_of_groups] = {MAXN, 100, 500, 3000, MAXN, MAXN, MAXN};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    
    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    
    int t = inf.readInt(1, MAXT, "t");
    inf.readEoln();
    
    int sum_of_n = 0;
    
    for (int i = 1; i <= t; i++) {
        setTestCase(i);
        int n = inf.readInt(1, N[gr_n], "n");
        sum_of_n += n;
        ensuref(sum_of_n <= N[gr_n], "sum of n is more than limit for %d-th group", gr_n);
        inf.readEoln();
        vector<int> a(n);
        for (int i = 0; i < n; i++) {
            a[i] = inf.readInt(1, MAXC, "a_i");
            if (i + 1 < n) {
                inf.readSpace();
            }
        }
        inf.readEoln();
        vector<int> b(n);
        for (int i = 0; i < n; i++) {
            b[i] = inf.readInt(1, a[i], "b_i");
            if (i + 1 < n) {
                inf.readSpace();
            }
        }
        inf.readEoln();
        if (gr_n == 4) {
            for (int i = 0; i + 1 < n; i++) {
                ensuref(a[i] < b[i + 1], "a[i] is more than b[i + 1] on the %d-th pos", i);
            }
        } else if (gr_n == 5) {
            for (int i = 0; i + 1 < n; i++) {
                ensuref(a[i] <= a[i + 1], "a[i] is more than a[i + 1] on the %d-th pos", i);
                ensuref(b[i] <= b[i + 1], "b[i] is more than b[i + 1] on the %d-th pos", i);
            }
        }
    }
    inf.readEof();
    return 0;
}



